| 会员登录 立即注册
关注公众号

关注公众号拿干货

CATIA论坛公众号
加入联盟

扫微信(sakula)入联盟

CATIA软件
风格切换

catia教程

搜索

CATIA联盟论坛

[CATIA VBA] CATIA二次开发专题:如何存储一个新的文档(SaveAs)

[复制链接]
CATIA新手教程 发表于 2019-8-6 17:09:36 | 显示全部楼层 |阅读模式
CATIA新手教程
2019-8-6 17:09:36 1096 0 看全部
  CATIA二次开发专题:如何存储一个新的文档(SaveAs),这个用例展示了在交互会话期间保存新CATIA文档的三种方法:使用CATIA应用程序的ActiveDocument属性;使用指定的变量处理文档;使用Item方法从文档集合中检索的现有文档的名称。

  在这三种情况下,都需要指定存储新文档的路径名和位置。

  保存活动的CATIA文档

  DimoFirstNewPartDocAsDocument

  SetoFirstNewPartDoc=CATIA.Documents.Add("Part")

  'Thedocumentjustcreatedistheactiveone.

  'Savethenewdocument.

  CATIA.ActiveDocument.SaveAs(sTmpPath&_

  "\CAAInfWriteDocument1.CATPart")

  保存由对象变量指定的CATIA文档

  DimoSecondNewPartDocAsDocument

  SetoSecondNewPartDoc=CATIA.Documents.Add("Part")

  'Savethenewdocumentusingthevariablenamedefinedforit.

  oSecondNewPartDoc.SaveAs(sTmpPath&_

  "\CAAInfWriteDocument2.CATPart")

  保存新CATIA文档的第二种方法是直接在已经分配给处理文档的变量上使用executeSaveAs方法:因此将文档保存在SaveAs方法的参数中指定的存储路径名称和位置中。如果已经存在同名文档,则会出现一个提示符,要求您指定是否希望用这个文档覆盖该文档。注意,在退出会话之前,还应该关闭文档。

  DimiThirdPartDocAsDocumentSetiThirdPartDoc=CATIA.Documents.Open(sDocPath&_

  "\online\CAAScdInfUseCases\samples\CAAInfReadDocument.CATPart")

  '通过指定新文档的名称来保存它。

  CATIA.Documents.Item("CAAInfReadDocument.CATPart").SaveAs(sTmpPath&_

  "\CAAInfWriteDocument3.CATPart")

  最后,保存一个新的CATIA文档的第三种方法是通过执行SaveAs方法对现有的文档,从文档集合中检索通过指定名称的参数项的方法:一个新文档与现有的一个然后保存在存储的路径中指定的名称和位置参数SaveAs方法。如果已经存在同名文档,则会出现一个提示符,要求您指定是否希望用这个文档覆盖该文档。注意,在退出会话之前,还应该关闭文档。

  完整代码:

  SubCATMain()

  DimsDocPathAsString

  sDocPath=CATIA.SystemService.Environ("CATDocView")

  If(NotCATIA.FileSystem.FolderExists(sDocPath))Then

  Err.Raise9999,,"NoDocPathDefined"

  EndIf

  DimsTmpPathAsString

  sTmpPath=CATIA.SystemService.Environ("CATTemp")

  If(NotCATIA.FileSystem.FolderExists(sTmpPath))Then

  Err.Raise9999,,"NoTmpPathDefined"

  EndIf

  DimoFirstNewPartDocAsDocument

  SetoFirstNewPartDoc=CATIA.Documents.Add("Part")

  DimsFilePath

  sFilePath=CATIA.FileSystem.ConcatenatePaths(sTmpPath,_

  "CAAInfWriteDocument1.CATPart")

  CATIA.ActiveDocument.SaveAs(sFilePath)

  DimoSecondNewPartDocAsDocument

  SetoSecondNewPartDoc=CATIA.Documents.Add("Part")

  sFilePath=CATIA.FileSystem.ConcatenatePaths(sTmpPath,_

  "CAAInfWriteDocument2.CATPart")

  oSecondNewPartDoc.SaveAs(sFilePath)

  sFilePath=CATIA.FileSystem.ConcatenatePaths(sDocPath,_

  "online\CAAScdInfUseCases\samples\CAAInfReadDocument.CATPart")

  DimiThirdPartDocAsDocument

  SetiThirdPartDoc=CATIA.Documents.Open(sFilePath)

  sFilePath=CATIA.FileSystem.ConcatenatePaths(sTmpPath,_

  "CAAInfWriteDocument3.CATPart")

  CATIA.Documents.Item("CAAInfReadDocument.CATPart").SaveAs(sFilePath)

  EndSub
CATIA论坛官方公众号
  • 您可能感兴趣
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则 返回列表

查看:1096 | 回复:0

CATIA教程| CATIA视频| CATIA培训| CATIA下载| CATIA安装| CATIA插件| CATIA入门| CATIA V5| CATIA V6| CATIA论坛
联系电话:18982019507 地址:成都市青羊区二环路西一段155号天祥广场4栋1801
版权所有 ©软易达 •( 蜀ICP备14018086号 )Copyright © 2001-2013 Comsenz Inc. All Rights Reserved.   Powered by Discuz! X3.4
联盟微信客服:
silhouette023CATIA软件


CATIA技术群

微信公众号 CATIA微信公众号
“CATIA联盟”